## deja-dup 34.0

=== debian/changelog ===
deja-dup (34.0-1ubuntu3) wily; urgency=medium

  * debian/control.in: Add dh-translations to Build-Depends to fix a FTBFS.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 01 Sep 2015 15:55:33 -0400

deja-dup (34.0-1ubuntu2) wily; urgency=medium

  * debian/control.in: Drop Build-dep on gnome-control-center
  * debian/rules: Don't enable CCPANEL, support for external panels
    in gnome-control-center is being removed. (LP: #147788)

 -- Tim Lunn <tim@feathertop.org>  Fri, 24 Jul 2015 10:34:23 +1000

deja-dup (34.0-1ubuntu1) wily; urgency=low

  * Merge from debian. Remaining changes:
    - debian/control:
      + Add appdata-tools to Build-Deps to validate appdata file
      + Add dbus-x11, python3 and desktop-file-utils as Build-Depends for tests
      + Use dh-translations
      + Change yelp-tools Build-Depend to just itstool, as that's all
        that is needed
      + Build-depend on gnome-control-center, unity-control-center, libunity
      + Add XS-Testsuite: Autopkgtest
      + Use ubuntu vcs
      + Use ${misc:Pre-Depends}
      + Depend on adwaita-icon-theme
      + Don't recommend an ssh client
      + Reccomend policykit-1
      + Improve descriptions
      + Split backends into different packages
      + Drop dbg package
    - debian/rules:
      + Add --with translations to configure
      + Enable CCPANEL, UNITY, UNITY_CCPANEL
      + Use multiarch libs
      + Don't make a dbg package
      + Run dh_auto_test
      + Don't override dh_makeshlibs
    - Add autopkgtest

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 04 Jul 2015 13:39:47 +1000

deja-dup (34.0-1) unstable; urgency=medium

  * Team upload.
  * New upstraem release.
  * Update outdated section names in debian/gbp.conf.

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Jun 2015 16:54:00 +0200

deja-dup (32.0-0ubuntu5) vivid; urgency=medium

  * debian/patches/0001-fix-appdata-validate-ftbs.patch:
    - Pass --nonet so that the validation doesn't fail when it can't
      reach the network. (LP: #1424652)

 -- Michael Terry <mterry@ubuntu.com>  Mon, 23 Feb 2015 11:25:06 -0500

deja-dup (32.0-0ubuntu4) vivid; urgency=medium

  * Fix FTBS caused by appdata-validate being deprecated (LP: #1424652)
    - Replaced by appstream-util validate-relax

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Fri, 20 Feb 2015 16:40:09 +0100

deja-dup (32.0-0ubuntu3) vivid; urgency=medium

  * Change appdata-tools b-dep to appstream-util

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 14 Feb 2015 07:59:28 +1100

deja-dup (32.0-0ubuntu2) vivid; urgency=medium

  * Switch gnome-icon-theme to adwaita-icon-theme, which is its
    successor. (LP: #1414613)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 26 Jan 2015 17:26:12 +0000

deja-dup (32.0-0ubuntu1) utopic; urgency=medium

  * New upstream bug fix release
  * debian/patches/deprecated-property.patch,
    debian/patches/drop-u1.patch,
    debian/patches/support-valac-0.24.patch:
    - Dropped, applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Sat, 20 Sep 2014 11:35:28 -0400

deja-dup (30.0-0ubuntu7) utopic; urgency=medium

  * debian/patches/deprecated-property.patch:
    - Patch from Laney to quiet a deprecation warning during test run

 -- Michael Terry <mterry@ubuntu.com>  Tue, 22 Jul 2014 08:50:09 -0400

deja-dup (30.0-0ubuntu6) utopic; urgency=medium

  * debian/control:
    - Add appdata-tools to Build-Deps to validate appdata file
  * debian/tests/control:
    - Add dbus-x11 to test deps to fix autopkgtest runs

 -- Michael Terry <mterry@ubuntu.com>  Fri, 02 May 2014 14:05:32 -0400

deja-dup (30.0-0ubuntu5) utopic; urgency=medium

  * debian/patches/support-valac-0.24.patch:
    - Fix an array slice usage that changed in valac 0.24 (only affects
      testing code).  Patch from upstream.  LP: #1315185

 -- Michael Terry <mterry@ubuntu.com>  Fri, 02 May 2014 09:59:35 -0400
