=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: deja-dup
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Barry Warsaw <barry@ubuntu.com>, Iain Lane <iain@orangesquash.org.uk>, Jackson Doak <noskcaj@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Louis Bouchard <louis.bouchard@ubuntu.com>, Michael Biebl <biebl@debian.org>, Michael Terry <mterry@ubuntu.com>, Tim Lunn <tim@feathertop.org>
Homepage: https://launchpad.net/deja-dup
Build-Depends: appstream-util,
               cmake,
               dbus-x11,
               debhelper (>= 9),
               desktop-file-utils,
               dh-translations,
               gnome-pkg-tools,
               intltool (>= 0.40),
               itstool,
               libglib2.0-dev (>= 2.34),
               libgtk-3-dev (>= 3.6),
               libnautilus-extension-dev,
               libnotify-dev (>= 0.7),
               libpeas-dev,
               libsecret-1-dev,
               libunity-control-center-dev,
               libunity-dev (>= 5.0.0),
               pkg-config,
               python3,
               valac (>= 0.20)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/deja-dup/ubuntu

Package: deja-dup
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         duplicity (>= 0.6.23),
         adwaita-icon-theme
Recommends: deja-dup-backend-gvfs,
            policykit-1,
Suggests: deja-dup-backend-cloudfiles,
          deja-dup-backend-s3,
Description: Back up your files
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3,
    and Rackspace Cloud Files
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop

Package: deja-dup-backend-gvfs
Architecture: all
Depends: ${misc:Depends},
         deja-dup,
         gvfs-backends,
Description: Remote server support for Déjà Dup
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 This package adds FTP, SSH, WebDAV, and Windows Shares support to Déjà Dup.

Package: deja-dup-backend-cloudfiles
Architecture: all
Depends: ${misc:Depends},
         deja-dup,
         python-cloudfiles,
Description: Rackspace Cloudfiles support for Déjà Dup
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 This package adds Rackspace Cloudfiles support to Déjà Dup.

Package: deja-dup-backend-s3
Architecture: all
Depends: ${misc:Depends},
         deja-dup,
         python-boto (>= 0.9d),
Description: Amazon S3 support for Déjà Dup
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 This package adds Amazon S3 support to Déjà Dup.
