=== debian/changelog ===
deja-dup (34.2-0ubuntu1.1) xenial; urgency=medium

  * debian/patches/clear-cache-before-full-backup.patch:
    - Fixes a bug that allowed an incorrect password when making a
      new full backup (LP: #918489)

 -- Michael Terry <mterry@ubuntu.com>  Fri, 02 Dec 2016 16:07:55 -0500

deja-dup (34.2-0ubuntu1) xenial; urgency=medium

  * New bug-fix upstream release:
    - Fixes restoring some files with unicode characters (LP: #1377873)
  * debian/patch/series:
    - Disable appstream patch, upstream merged it

 -- Michael Terry <mterry@ubuntu.com>  Thu, 07 Apr 2016 12:11:31 -0400

deja-dup (34.1-1ubuntu3) xenial; urgency=medium

  * d/control.in, d/p/install-pygi.patch:
    - Install deja-dup-backend-gvfs dynamically instead of python-gi,
      so we can keep samba-libs off the default image too.
      (LP: #1551989)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 02 Mar 2016 09:41:13 -0500

deja-dup (34.1-1ubuntu2) xenial; urgency=medium

  * d/control.in, d/p/install-pygi.patch:
    - Install python-gi on the fly, like we do with duplicity itself.
      It's only needed once duplicity is installed, and only to
      optionally enable some backends.

 -- Michael Terry <mterry@ubuntu.com>  Thu, 18 Feb 2016 11:11:37 -0500

deja-dup (34.1-1ubuntu1) xenial; urgency=medium

  * Merge from debian unstable
  * debian/control.in:
    - Add python-gi as a Depend for deja-dup-backend-gvfs
  * Drop help2man Debian patch, upstream fixed that issue

 -- Michael Terry <mterry@ubuntu.com>  Wed, 17 Feb 2016 14:17:25 -0500

deja-dup (34.1-1) unstable; urgency=medium

  * New upstraem release.
    - Refresh debian/patches/01_ignore_appstream.patch
    - Add libpackagekit-glib2-dev to the build-dependencies
  * debian/patches/01_ignore_appstream.patch: Add appstream key to ignore
    some .desktop files
  * debian/patches/help2man.patch: Use system help2man instead of embedded
    copy to allow reproducible build (Closes: #805787)
  * Suggest python-swiftclient for OpenStack Swift support

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Dec 2015 00:10:56 +0100

deja-dup (34.1-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * debian/control: Drop duplicity to a Suggests, to help get python2
    off of the default Ubuntu image (this new upstream version will
    install duplicity on demand via packagekit)
  * debian/copyright: Update from upstream's AUTHORS

 -- Michael Terry <mterry@ubuntu.com>  Sun, 29 Nov 2015 11:13:19 -0500
