=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Barry Warsaw <barry@ubuntu.com>, Iain Lane <iain@orangesquash.org.uk>, Jackson Doak <noskcaj@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Louis Bouchard <louis.bouchard@ubuntu.com>, Michael Biebl <biebl@debian.org>, Michael Terry <mterry@ubuntu.com>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://launchpad.net/deja-dup
 Build-Depends: appstream-util,
                cmake,
@@ -17,18 +17,19 @@
                dh-translations,
                gnome-pkg-tools,
                intltool (>= 0.40),
-               itstool,
                libglib2.0-dev (>= 2.34),
                libgtk-3-dev (>= 3.6),
                libnautilus-extension-dev,
                libnotify-dev (>= 0.7),
+               libpackagekit-glib2-dev,
                libpeas-dev,
                libsecret-1-dev,
                libunity-control-center-dev,
                libunity-dev (>= 5.0.0),
                pkg-config,
                python3,
-               valac (>= 0.20)
+               valac (>= 0.20),
+               yelp-tools
 Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/deja-dup/ubuntu
@@ -37,12 +38,12 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         duplicity (>= 0.6.23),
          adwaita-icon-theme
-Recommends: deja-dup-backend-gvfs,
-            policykit-1,
+Recommends: policykit-1,
 Suggests: deja-dup-backend-cloudfiles,
+          deja-dup-backend-gvfs,
           deja-dup-backend-s3,
+          duplicity (>= 0.6.23),
 Description: Back up your files
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the
  Right Way (encrypted, off-site, and regular) and uses duplicity as the
@@ -60,7 +61,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          deja-dup,
+         duplicity,
          gvfs-backends,
+         python-gi,
 Description: Remote server support for Déjà Dup
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the
  Right Way (encrypted, off-site, and regular) and uses duplicity as the
@@ -72,6 +75,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          deja-dup,
+         duplicity,
          python-cloudfiles,
 Description: Rackspace Cloudfiles support for Déjà Dup
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the
@@ -84,6 +88,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          deja-dup,
+         duplicity,
          python-boto (>= 0.9d),
 Description: Amazon S3 support for Déjà Dup
  Déjà Dup is a simple backup tool. It hides the complexity of backing up the
