=== debian/tests/control ===
#Tests: autopilot
#Depends: @,
#         autopilot-desktop,
#         cmake,
#         dbus-x11,
#         gnome-control-center,
#         libautopilot-gtk,
#         python-evdev,
#         xvfb,
#Restrictions: build-needed

Tests: check
Depends: @,
         cmake,
         dbus-x11,
         make,
Restrictions: build-needed
