=== debian/watch ===
version=3
https://launchpad.net/deja-dup/+download .*/deja-dup-(.+)\.tar\.xz
