## deja-dup 34.2-0ubuntu1.1+8.0trisquel1

=== debian/changelog ===
deja-dup (34.2-0ubuntu1.1+8.0trisquel1) flidas; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 18 Jun 2017 02:24:01 +0000
