=== debian/changelog ===
deja-dup (34.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Browser to use cgit instead of gitweb.
  * Drop --parallel from debhelper options. It's the default with compat 10.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Dec 2016 23:01:58 +0100

deja-dup (34.2-2) unstable; urgency=medium

  * Bump debhelper compat level to 10.
  * Drop override for dh_auto_install, not needed.
  * Bump Build-Depends on libnautilus-extension-dev to (>= 3.21.92-3~).
    This ensures we have a version with multiarch support.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Sep 2016 16:42:47 +0200

deja-dup (34.2-1) unstable; urgency=medium

  * New upstraem release.
    - Drop debian/patches/01_ignore_appstream.patch, applied upstream
  * debian/watch: Check the gpg signature for the downloaded tarball
  * debian/control.in: Bump Standards-Version to 3.9.8 (no furher changes)
  * Drop -dbg package and rely on automatically built -dbgsym one
  * debian/rules: Drop ENABLE_CCPANEL variable, support for building the GNOME
    Control Center plugin has been removed.
  * debian/control.in: Update Vcs-* URL's to please lintian (again)
  * Update the debian/copyright file

 -- Laurent Bigonville <bigon@debian.org>  Mon, 25 Apr 2016 15:23:46 +0200
