=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: deja-dup
Section: utils
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Homepage: https://launchpad.net/deja-dup
Build-Depends: cmake,
               debhelper (>= 10),
               gnome-pkg-tools,
               help2man,
               intltool (>= 0.40),
               libglib2.0-dev (>= 2.34),
               libgtk-3-dev (>= 3.6),
               libnautilus-extension-dev (>= 3.21.92-3~),
               libnotify-dev (>= 0.7),
               libpackagekit-glib2-dev,
               libpeas-dev,
               libsecret-1-dev,
               pkg-config,
               valac (>= 0.20),
               yelp-tools
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/deja-dup.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/deja-dup.git

Package: deja-dup
Architecture: any
Depends: duplicity (>= 0.6.23), ${misc:Depends}, ${shlibs:Depends}
Recommends: gvfs-backends,
            python-boto (>= 0.9d),
            python-cloudfiles,
            ssh-client | openssh-client
Suggests: python-swiftclient
Description: Backup utility
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3
    or Rackspace Cloud Files
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop
