=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cmake --with gnome

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_NAUTILUS=ON \
	                     -DENABLE_UNITY=OFF \
	                     -DENABLE_UNITY_CCPANEL=OFF \
	                     -DCMAKE_INSTALL_LIBEXECDIR="/usr/lib" \
	                     -DCMAKE_INSTALL_SYSCONFDIR="/etc"

override_dh_makeshlibs:
	dh_makeshlibs --exclude=libdeja-dup.so

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbgsym-migration='deja-dup-dbg (<< 34.2-1~)'

# Skip check, dconf may cause intermittent crashes
override_dh_auto_test:
