=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://launchpad.net/deja-dup/+download .*/deja-dup-(.+)\.tar\.xz
