## deja-dup 34.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 project(deja-dup C)
 set(SERIES 34)
-set(VERSION 34.3)
+set(VERSION 34.4)
 cmake_minimum_required(VERSION 2.8)
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 include(DejaDupMacros)
