=== debian/changelog ===
deja-dup (34.4-0ubuntu1) zesty; urgency=medium

  * New bug-fix upstream release:
    - In MATE, call the file manager Caja, not Files (LP: #1657092)
    - Fix documentation and strictness of using xdg location variables
      in gsettings include/exclude keys
    - Don't show control center panel in Unity8

 -- Michael Terry <mterry@ubuntu.com>  Thu, 09 Mar 2017 14:30:50 -0500

deja-dup (34.3-0ubuntu1) zesty; urgency=medium

  * New bug-fix upstream release:
    - Fixes a bug that allowed an incorrect password when making a
      new full backup (LP: #918489)

 -- Michael Terry <mterry@ubuntu.com>  Sun, 27 Nov 2016 17:21:31 -0500

deja-dup (34.2-0ubuntu4) zesty; urgency=medium

  * debian/patches/glib-fancy-quotes:  Make the instance-error test work with
    “fancy” and "normal" quotes - the former are now outputted by glib as of
    2.51.0.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 18 Nov 2016 11:07:16 +0000

deja-dup (34.2-0ubuntu3) yakkety; urgency=medium

  * No-change rebuild to install nautilus extension to multiarch directory

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Sep 2016 22:16:35 -0400

deja-dup (34.2-0ubuntu2) yakkety; urgency=medium

  * No change rebuild with the new libpackagekit soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 Jul 2016 08:26:17 +0200
